## 安装
```
    npm i jjonline-utils -S
```
### 使用规则
#### 
* 所有方法一起引用
```
    import * as olUtils from 'jjonline-utils'
    // 获取sdk方法  除watchRightBtn, refreshPage是callback回调，其他方法返回promise  
    olUtils.getSDK()
	olUtils.jjSDK
```

### 具体文件介绍
```
- channel-code.js  各个ua下的 channelCode
- clip-image.js  阿里云图片处理
	* clipImage(url, width, height) 裁剪图片中间部分
    * resizeImage(url, width, height) 图片缩放
- compare-version.js  版本比较
	*versionCompare(version1, version2)  version1>=version2 => true
- date.js  时间
	* dateFormat(timestamp, fmt) 通过时间戳获取格式化日期  dateFormat(1590478470324, 'yyyy年mm月dd日 hh:MM:ss 星期w')  =>  2020年05月26日 15:34:30 星期二"
	* formatDuring(value = 0, fmt = ['天', '小时', '分钟', '秒']) 通过时间戳获取格式化日期  formatDuring(10000) => 2小时46分钟40秒
- handle-string.js  处理字符串
	* changePosition(str = '', num = 0) 后几位换到前面
- host.js  MALL_URL  BESTWEHOTEL_URL  YSH_URL
- load.js 加载文件
	* asyncLoadJs(url) 异步加载
- math-random.js  数字处理
 	* getRamNumber() 随机生成16位16进制
- sensor.js  神策埋点
	* sensorTrack(eventName, params) 神策事件埋点
	* sensorRegisterPage(params) 全局埋点加自定义属性
- storage.js 存储
	* setLocal(key, value)
	* getLocal(key)
	* removeLocal(key)
	* clearLocal()
	* getCookie(key)
- type.js 数据类型
	* assertionType(obj, type) 要进行类型判断的数据  assertionType('0', 'string') =》 true
- ua.js ua判断
- url-params.js url参数处理
	* getParam(key, url) 获取链接上的参数
	* getQueryString(obj)  将json转化成 url参数 url要拼接的参数 {a:1, b:2} => a=1&b=2
	* setParams(key, val,url) 向url中添加参数  url = http:xxx/XXX/?a=1  setParams(url, a, 2) => http:xxx/XXX/?a=1
```

## 发布
```
npm adduser
如果不是第一次发布包，执行以下命令进行登录，同样输入NPM账号，密码和邮箱
npm login
注意：npm adduser成功的时候默认你已经登陆了，所以不需要再进行npm login了
接着先进入项目文件夹下，然后输入以下命令进行发布
npm publish

同步淘宝源
https://npm.taobao.org/sync/jjonline-utils
```
