
export const getHost = (appEnv) => {
    let YSH_URL = ''
    let JJ_ONLINE_HOME =''
    switch (appEnv) {
        case 'test':
        case 'uat':
            YSH_URL = 'http://ysh.uat.vshanghai.tech'
            JJ_ONLINE_HOME = 'https://ol-online.uat.vshanghai.tech'
            break
        case 'sit':
        case 'green':
        case 'yshpre':
            YSH_URL = 'https://ysh.visitshanghai.net'
            JJ_ONLINE_HOME = 'https://ol-online.pre.vshanghai.techt'
            break
        case 'production':
        case 'blue':
        case 'yshblue':
            YSH_URL = 'https://ysh.visitshanghai.com.cn'
            JJ_ONLINE_HOME = 'https://online.jinjiangonline.net'
            break
        default:
            YSH_URL = 'https://ysh.visitshanghai.com.cn'
            JJ_ONLINE_HOME = 'https://online.jinjiangonline.net'
            break
    }
    return {
        YSH_URL,
        JJ_ONLINE_HOME
    }
}

