/**
 * 神策事件埋点
 * @param {*} eventName  事件名
 * @param {*} params 自定义属性
 */
export const sensorTrack = (eventName, params) => {
    window.sensors && window.sensors.track(eventName, params)
}
/**
 * 全局埋点加自定义属性
 * @param {*} params 自定义属性
 */
// register pageview
export const sensorRegisterPage = (params) => {
    window.sensors && window.sensors.registerPage(params)
}