/**
 *	assertionType('0', 'string')
 * @param {*} obj 要进行类型判断的数据
 * @param {*} type 确认的类型
 * @returns true false
 */
export const assertionType = (obj, type = '') => {
	let cache = {}
	let key
	type = type.toLowerCase()
	let keyresult =  obj === null ? 'null' // null
		: (key = typeof obj) !== 'object' ? key // basic: string, boolean, number, undefined, function
		: obj.nodeType ? 'object' // DOM element
		: cache[key = ({}).toString.call(obj)] // cached. date, regexp, error, object, array, math
		|| (cache[key] = key.slice(8, -1).toLowerCase()) // get XXXX from [object XXXX], and cache it
	return keyresult === type
}