
// Browser environment
export const inBrowser = typeof window !== 'undefined'
export const UA = inBrowser && window.navigator.userAgent.toLowerCase()
export const isAndroid = (UA && UA.indexOf('android') > 0)
export const isIOS = (UA && /iphone|ipad|ipod|ios/.test(UA))

// Client environment
export const isYjyApp = (UA && (UA.indexOf('bgsh_china') > 0 || UA.indexOf('bgsh_oversea') > 0))
export const isChinaYjyApp = (UA && UA.indexOf('bgsh_china') > 0)
export const isOverseaYjyApp = (UA && UA.indexOf('bgsh_oversea') > 0)
export const isJinJiangOnlineApp = (UA && UA.indexOf('jj_online') > 0)
export const isMiniWeixin = (UA && UA.indexOf('micromessenger') > 0 && /miniProgram/gi.test(UA)) // 微信小程序
export const isWeixin = (UA && UA.indexOf('micromessenger') > 0) // 微信
export const isMiniAlipay = (UA && UA.indexOf('alipayclient') > 0 && /miniProgram/gi.test(UA)) // 支付宝
export const isTouTiao = (UA && UA.indexOf('toutiaomicroapp') > 0) // 头条
export const isWeibo = (UA && /weibo/gi.test(UA)) // 微博
export const isUnionPay = (UA && /UnionPay/gi.test(UA)) // 云闪付
export const isBocapp = (UA && /bocapp/gi.test(UA)) //  中行
export const isWehotelApp =(UA && /wehotel/gi.test(UA)) // wehotel app
