import * as UA from '../utils/ua'
let sdk = {}

if (UA.isYjyApp) {
	sdk = require('./yijiyou-sdk')['YijiyouSDK']

} else if (UA.isJinJiangOnlineApp || UA.isWehotelApp) {
	sdk = require('./jjonline-sdk')['JinjiangOnlineSDK']

} else if (UA.isMiniWeixin) {
	sdk = require('./weixin-sdk')['WeixinSDK']

} else if (UA.isMiniAlipay) {
	sdk = require('./alipay-sdk')['AlipaySDK']

} else if (UA.isTouTiao) {
	sdk = require('./toutiao-sdk')['ToutiaoSDK']

} else {
	sdk = require('./common')['CommonSDK']
}

export function getSDK () {
	return sdk.getInstance()
}
export const jjSDK = sdk.getInstance()
