// 按需加载js文件
export const asyncLoadJs = (url) => {
    return new Promise((resolve, reject) => {
        // 判断当前js是否加载上
        if (document.querySelector(`script[src="${url}"]`)) {
            resolve()
            return
        }
        const scriptEle = document.createElement('script')
        scriptEle.type = 'text/javascript'
        scriptEle.async = true
        scriptEle.src = url
        document.getElementsByTagName('head')[0].appendChild(scriptEle)
        scriptEle.onload = () => {
            resolve()
        }
    })
}
